##############################################################################
# Copyright (c) 1999, Tres Seaver, Palladion Software
# ---------------------------------------------------
#
# Please see the enclosed LICENSE.txt for a statement of the terms under
# which this software is available to you.
##############################################################################

import MailMessage

#
#   Load DTML methods.
#
addForm = None
try:    # work around testing outside of Zope
    from Globals import HTMLFile

    addForm     = HTMLFile( 'addFolder',        globals() )
except:
    print 'Couldn''t import HTMLFile!!'

#
#   Set up Zope base class
#
try:    # work around testing outside of Zope
    from Globals import Persistent
    import OFS.Folder, Acquisition, AccessControl.Role

    class ZopeBase( OFS.Folder.Folder
                  , Persistent
                  , Acquisition.Implicit
                  , AccessControl.Role.RoleManager
                  ):
        pass
except:
    class ZopeBase: pass
    print 'Couldn''t import Zope base classes!!'

#
#   Module-level constructors
#
manage_addMailFolderForm = addForm
def manage_addMailFolder( self, id, title='', REQUEST=None ):
    """
    """
    self._setObject( id, MailFolder( id, title, REQUEST ) )
    if REQUEST is not None:
       return self.manage_main( self, REQUEST )


class MailFolder( ZopeBase ):
    """
    """
    meta_type = 'MailFolder'

    manage_options = ( { 'label' : 'Contents',  'action' : 'manage_main' }
                     , { 'label' : 'View',      'action' : 'index_html' }
                     , { 'label' : 'Security',  'action' : 'manage_access' }
                     )

    addFolderForm           = manage_addMailFolderForm
    addMessageForm          = MailMessage.manage_addMailMessageForm

    meta_types = ( { 'name'     : 'MailMessage'
                   , 'action'   : 'manage_addProduct/Mailbag/addMessageForm'
                   }
                 , { 'name'     : 'MailFolder'
                   , 'action'   : 'manage_addProduct/Mailbag/addFolderForm'
                   }
                 )

    def __init__( self, id, title='', REQUEST=None ):
        """
        """
        self.id     = id
        self.name   = id
        self.title  = title

    def all_meta_types( self ):
        """
        """
        return self.meta_types
    
