##############################################################################
# Copyright (c) 1999, Tres Seaver, Palladion Software
# ---------------------------------------------------
#
# Please see the enclosed LICENSE.txt for a statement of the terms under
# which this software is available to you.
##############################################################################
__doc__='''Mailbag Product Initialization'''

__version__='0.01'

import MailMessage
import MailFolder

def initialize(context):
    try:
        context.registerClass(
                          MailMessage.MailMessage
                        , constructors=( MailMessage.manage_addMailMessageForm
                                       , MailMessage.manage_addMailMessage
                                       )
                        , icon='www/MailMessage_icon.gif'
                        )
        context.registerClass(
                          MailFolder.MailFolder
                        , constructors=( MailFolder.manage_addMailFolderForm
                                       , MailFolder.manage_addMailFolder
                                       )
                        , icon='www/MailFolder_icon.gif'
                        )
    except:

        # throw all exceptions on stderr
        import sys, traceback, string
        type, val, tb = sys.exc_info()

        sys.stderr.write( string.join( traceback
                                     .  format_exception( type, val, tb )
                                     , ''
                                     ) )
        del type, val, tb  

